[Snort-users] sguil: Tcl support is not compiled into this build of barnyard2

Paul Marin pmarinh45 at ...11827...
Wed Jul 20 17:06:42 EDT 2011


Hi guys,

I was trying to install sguil-sensor + snort 2.9.0.5 + barnyard2 in a
Ubuntu Server 10.04 LTS server.

When i started barnyard, i received the following error:

Jul 20 16:24:01 ids-ccs-01 barnyard2[2284]: sguil: Tcl support is not
compiled into this build of barnyard2#012
Jul 20 16:24:01 ids-ccs-01 barnyard2[2284]: FATAL ERROR: If this build
of barnyard was obtained as a binary distribution (e.g., rpm,#012or
Windows), then check for alternate builds that contains the necessary
Tcl#012support.#012#012If this build of barnyard was compiled by you,
then re-run the ./configure#012script using the '--with-tcl' switch to
specify the location of the#012tclConfig.sh for your system.#012

So, i recompiled barnyard2 adding the --with-tcl option:

sudo ./configure --with-mysql --with-tcl=/usr/lib/tcl8.3

Here is a an excerpt of the configure output:

----------------------------------------------------------------------------
checking for the tcl version number... 8.3, patchlevel .5
checking for mysql... yes
----------------------------------------------------------------------------

Then of course, i ran make and make install for building the
corresponfing binaries.

However, after doing the last, i am still receving the same error above
when starting barnyard2. Am i missing something here?

Thanks in advance,

Paul




More information about the Snort-users mailing list